package com.pnkx.mapper;

import com.pnkx.domain.po.PxFriendLink;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by PHY
 * @Classname PxAdminFriendLinkMapper
 * @date 2021-04-30 11:46
 */
@Mapper
public interface PxFriendLinkMapper {
    /**
     * 查询友链
     *
     * @param id 友链ID
     * @return 友链
     */
    PxFriendLink selectPxFriendLinkById(Long id);

    /**
     * 查询友链列表
     *
     * @param pxFriendLink 友链
     * @return 友链集合
     */
    List<PxFriendLink> selectPxFriendLinkList(PxFriendLink pxFriendLink);

    /**
     * 新增友链
     *
     * @param pxFriendLink 友链
     * @return 结果
     */
    int insertPxFriendLink(PxFriendLink pxFriendLink);

    /**
     * 修改友链
     *
     * @param pxFriendLink 友链
     * @return 结果
     */
    int updatePxFriendLink(PxFriendLink pxFriendLink);

    /**
     * 删除友链
     *
     * @param id 友链ID
     * @return 结果
     */
    int deletePxFriendLinkById(Long id);

    /**
     * 批量删除友链
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deletePxFriendLinkByIds(Long[] ids);
}
